/* Global Styles */

@import url('https://fonts.googleapis.com/css2?family=League+Spartan:wght@100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

:root{
    --header-height: 6rem;
    --navigation-height: 3rem;
    --footer-height: 10rem;

    --standard-pad: 1rem;
    --navigation-col-gap: 1rem;

    --default-col-gap: 1rem;
    --default-row-gap: 1rem;

    --standard-text-size: 15px;

    --primary-color: white;
    --secondary-color: #F5D621;
    --secondary-color-faded: #F5D62133;
    --secondary-hover-color: #fff07a;
    --background-color: black;

    --half-pad: calc(var(--standard-pad) / 2);
}

html, body {
    max-width: 100%;
    overflow-x: hidden; /* Prevent Safari horizontal scroll */
}

*{
    color: white;
    font-family: "Inter", sans-serif;

    margin: 0 0 0 0;
    padding: 0 0 0 0;
    font-size: var(--standard-text-size);
    box-sizing: border-box;
}

body{
    background-color: black;
}

h1, h2, h3, h4{
    text-transform: uppercase;
}

h1{
    font-size: calc(var(--standard-text-size) * 3);
}

h2{
    font-size: calc(var(--standard-text-size) * 2);
}

p, span{
    font-size: calc(var(--standard-text-size) );
}



/* ******************************************************
 * Basic Blocks
 */

.content{
}

.container{
    padding: var(--standard-pad) var(--standard-pad) var(--standard-pad) var(--standard-pad);
}

.flex-row{
    display: flex;
    flex-direction: row;
    column-gap: var(--default-col-gap);
    flex-wrap: wrap;
}

.flex-col{
    display: flex;
    flex-direction: column;
    row-gap: var(--default-row-gap);
}

.flex-row-mobile-safe{
    display: flex;
    flex-direction: row;
    column-gap: var(--default-col-gap);
}


.no-gap{
    column-gap: 0rem !important;
    row-gap: 0rem !important;
}

.full-height{
    min-height: calc(100vh - 16rem);
}

.full-width{
    width: 100%;
}

.half-width{
    width: 50%;
}

.spread-out{
    justify-content: space-between;
}

.vertical-center {
    align-items: center;
}

.fit-height{
    height: 100%;
}

.center {
    justify-content: center;
    align-items: center;
}

.fit-content{
    width: max-content;
}

:root{
    --header-height: 6rem;
    --navigation-height: 3rem;
    --footer-height: 10rem;

    --standard-pad: 1rem;
    --navigation-col-gap: 1rem;

    --default-col-gap: 1rem;
    --default-row-gap: 1rem;

    --standard-text-size: 15px;

    --primary-color: white;
    --secondary-color: #F5D621;
    --secondary-hover-color: #fff07a;
    --background-color: black;

    --half-pad: calc(var(--standard-pad) / 2);
}@media (max-width: 1000px) {
    :root{
        --standard-text-size: 12px;
    }

    .flex-row{
        display: flex;
        flex-direction: column;
        row-gap: var(--default-row-gap);
    }
}
